#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb1bc77a, "drm_compat_ioctl" },
	{ 0x94bda5c4, "drm_open" },
	{ 0xebf61ab1, "drm_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x9ec90663, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xc7674b90, "drm_crtc_cleanup" },
	{ 0x35386cbf, "drm_plane_cleanup" },
	{ 0xcc8971a3, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x6b3668e8, "drm_property_blob_put" },
	{ 0xd4d71ead, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x73d2283c, "drm_property_blob_get" },
	{ 0x59d4324c, "drm_atomic_helper_plane_reset" },
	{ 0x37a0cba, "kfree" },
	{ 0xad58985f, "drm_universal_plane_init" },
	{ 0x4a391a1, "drm_object_attach_property" },
	{ 0xcbbe2b39, "drm_plane_create_rotation_property" },
	{ 0x8266bfc0, "drm_plane_create_alpha_property" },
	{ 0xe6d21e1f, "drm_plane_create_blend_mode_property" },
	{ 0x218b44cb, "drm_property_replace_blob" },
	{ 0xbc35fd05, "drm_property_lookup_blob" },
	{ 0xbd18c6fc, "drm_atomic_helper_crtc_reset" },
	{ 0x20971d6, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x19eebe6e, "drm_crtc_init_with_planes" },
	{ 0xefef016, "drm_crtc_enable_color_mgmt" },
	{ 0x711252a, "drm_mode_crtc_set_gamma_size" },
	{ 0xaf82aa3e, "drm_atomic_helper_set_config" },
	{ 0x70699127, "drm_atomic_helper_page_flip" },
	{ 0x9e055a20, "drm_atomic_helper_update_plane" },
	{ 0xdfc8c1ff, "drm_atomic_helper_disable_plane" },
	{ 0x949419ea, "drm_encoder_cleanup" },
	{ 0xaf8d7c45, "drm_encoder_init" },
	{ 0xd7b18e32, "drm_connector_attach_encoder" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3d52d770, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0x941163f9, "drm_connector_update_edid_property" },
	{ 0x95892d47, "drm_mode_create" },
	{ 0x9bb84d4d, "drm_mode_probed_add" },
	{ 0x50433098, "drm_connector_unregister" },
	{ 0x327b8b0d, "drm_connector_cleanup" },
	{ 0x754d539c, "strlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0x641391b5, "drm_connector_init" },
	{ 0x2582ac2, "drm_mode_create_dp_colorspace_property" },
	{ 0xa94fcfd0, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0x25bb7cef, "drm_connector_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x70157e84, "drm_mode_create_hdmi_colorspace_property" },
	{ 0x776a9781, "drm_connector_attach_colorspace_property" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x39403fe8, "drm_edid_override_connector_update" },
	{ 0x1f9c9def, "drm_connector_attach_vrr_capable_property" },
	{ 0x274ba105, "drm_connector_set_vrr_capable_property" },
	{ 0x78b2bbd9, "drm_object_property_set_value" },
	{ 0xa606fc37, "drm_atomic_helper_connector_reset" },
	{ 0xabec915c, "drm_helper_probe_single_connector_modes" },
	{ 0xe9573135, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x7d43a30c, "drm_atomic_helper_connector_destroy_state" },
	{ 0xaa30ddbb, "drm_gem_object_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x63057584, "drm_gem_private_object_init" },
	{ 0x770852bc, "drm_gem_prime_import" },
	{ 0xc78fe29d, "drm_gem_object_lookup" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc7910e38, "drm_vma_offset_lookup_locked" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x24cf437a, "drm_vma_node_is_allowed" },
	{ 0xdf54fb4e, "drm_gem_vm_open" },
	{ 0x3ad0fe6, "drm_gem_vm_close" },
	{ 0x96d332dc, "drm_gem_prime_export" },
	{ 0x79671fb8, "drm_gem_handle_create" },
	{ 0xb332cf12, "drm_framebuffer_cleanup" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x677ca02c, "drm_helper_mode_fill_fb_struct" },
	{ 0xb29b8113, "drm_framebuffer_init" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3b909f5e, "drm_atomic_state_init" },
	{ 0xf34682de, "drm_atomic_state_default_clear" },
	{ 0x2fb00398, "drm_atomic_state_default_release" },
	{ 0x562c6719, "drm_atomic_add_affected_planes" },
	{ 0x158a9185, "drm_atomic_helper_check" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3fbacdc8, "drm_atomic_helper_swap_state" },
	{ 0x42605e11, "drm_crtc_send_vblank_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x197d5b60, "dma_fence_default_wait" },
	{ 0x685583f9, "ww_mutex_lock" },
	{ 0xbd8ad6e2, "dma_resv_reserve_fences" },
	{ 0x97fd1b4f, "dma_resv_add_fence" },
	{ 0x2e3aaad1, "ww_mutex_unlock" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0xb1e3f0c6, "drm_atomic_add_affected_connectors" },
	{ 0x3ab14d18, "drm_atomic_get_plane_state" },
	{ 0x247a5ddc, "drm_atomic_set_crtc_for_plane" },
	{ 0x1a59c3d6, "drm_atomic_set_fb_for_plane" },
	{ 0x234ac2c5, "const_pcpu_hot" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x95073c48, "pcpu_hot" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0xcf2a6966, "up" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x30979a2f, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x48d48000, "vmalloc_to_page" },
	{ 0x731c433b, "kthread_stop" },
	{ 0xd0b5381f, "wake_up_process" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xcb6ab70, "drm_gem_create_mmap_offset" },
	{ 0xf258918, "vmf_insert_pfn" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8633f7fc, "drm_gem_mmap_obj" },
	{ 0x1a97ba8a, "drm_prime_pages_to_sg" },
	{ 0xedc03953, "iounmap" },
	{ 0xba57f93b, "vm_insert_page" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xd926c35e, "fput" },
	{ 0x9d6806ea, "drm_prime_gem_destroy" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0xf5d85f6d, "pin_user_pages" },
	{ 0x53b954a2, "up_read" },
	{ 0xf1a9a7c6, "unpin_user_page" },
	{ 0x9fb81386, "set_page_dirty_lock" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x6f8d1009, "vmap" },
	{ 0x94961283, "vunmap" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xddc4dcc9, "sync_file_create" },
	{ 0xd1ff5ffd, "fd_install" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0xcf2b5325, "param_ops_bool" },
	{ 0x19e7f00b, "nvKmsKapiGetFunctionsTable" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3f55e2a4, "drm_connector_list_iter_begin" },
	{ 0xfd21d5b0, "drm_connector_list_iter_next" },
	{ 0x2ec97db4, "drm_connector_list_iter_end" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x515e1936, "drm_kms_helper_poll_fini" },
	{ 0xa70a2316, "drm_mode_config_cleanup" },
	{ 0xa007c461, "drm_kms_helper_hotplug_event" },
	{ 0x1906b454, "drmm_mode_config_init" },
	{ 0xc6287067, "drm_mode_create_dvi_i_properties" },
	{ 0xdc770984, "drm_kms_helper_poll_init" },
	{ 0xb09841c8, "drm_kms_helper_poll_disable" },
	{ 0x4f30c9ff, "drm_property_create_enum" },
	{ 0xea83ec16, "drm_property_create" },
	{ 0xe5742ef8, "drm_helper_hpd_irq_event" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd636c6ff, "drm_mode_object_find" },
	{ 0x94dceb8f, "drm_mode_object_put" },
	{ 0xafb95dcd, "drm_modeset_acquire_init" },
	{ 0xc961a91a, "drm_modeset_lock_all_ctx" },
	{ 0x236c0d18, "drm_modeset_drop_locks" },
	{ 0x5a9d8a00, "drm_modeset_acquire_fini" },
	{ 0x81b7701b, "drm_modeset_backoff" },
	{ 0xba45a9cc, "drm_ioctl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcf9899c3, "drm_file_get_master" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xb619e93f, "drm_master_put" },
	{ 0xa51ad54b, "drm_atomic_state_alloc" },
	{ 0x202b1406, "drm_atomic_get_crtc_state" },
	{ 0xc7e340d1, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xaf4a1a8d, "drm_atomic_get_connector_state" },
	{ 0x5415f076, "drm_atomic_set_crtc_for_connector" },
	{ 0x38b531a9, "drm_atomic_commit" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa17cc996, "drm_modeset_lock_all" },
	{ 0x11904f3c, "drm_modeset_unlock_all" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8851f1c2, "drm_dev_alloc" },
	{ 0x1d77fd05, "drm_dev_register" },
	{ 0x38f2d45c, "pci_bus_type" },
	{ 0x63c1099e, "drm_fbdev_generic_setup" },
	{ 0xc47c7e3f, "drm_dev_put" },
	{ 0x84bb12b1, "drm_dev_unregister" },
	{ 0xc19d84eb, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xb399cb01, "drm_atomic_helper_shutdown" },
	{ 0x33179f32, "drm_fb_helper_set_suspend_unlocked" },
	{ 0xa1aab6d2, "drm_mode_config_reset" },
	{ 0xa47ec9b7, "drm_kms_helper_poll_enable" },
	{ 0x6d646872, "drm_gem_prime_handle_to_fd" },
	{ 0x7a7a8abb, "drm_gem_prime_fd_to_handle" },
	{ 0xd6821f3f, "noop_llseek" },
	{ 0x78570c27, "drm_read" },
	{ 0x276738c0, "drm_poll" },
	{ 0x6f0a19ee, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,nvidia-modeset");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "51460B1C50C15130AEC14A8");
